Skip to main content
PUT
/
integrations
/
ecr
/
container-registry
/
organization
/
{organizationId}
/
credentials
/
{credentialId}
/
projects
Set projects linked to an ECR credential
curl --request PUT \
  --url https://api-eu.cybedefend.com/integrations/ecr/container-registry/organization/{organizationId}/credentials/{credentialId}/projects \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectIds": [
    "<string>"
  ]
}
'

Path Parameters

organizationId
string<uuid>
required

CybeDefend organization ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

credentialId
string<uuid>
required

Credential ID

Example:

"550e8400-e29b-41d4-a716-446655440001"

Body

application/json

Full set of linked project ids (replaces existing links)

projectIds
string[]
required

Full set of linked project ids (replaces existing links)

Response

Linked projects updated successfully